html {
    position: relative;
    min-height: 100%;
}

* {
    @include box-sizing(border-box);
    margin: 0;
    padding: 0;
}

body {
    font-size: 14px;
    font-family: $base-font;
    margin: 0px;
    overflow-x: hidden;
    padding: 0px;
}

a {
    outline: none;
    border: 0px;
    text-decoration: none;
    white-space: normal;
    &:hover,
    &:active,
    &:focus {
        outline: none;
        text-decoration: none;
    }
}

ul,
li {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    padding: 0px;
    margin: 0px;
}

h1 {
    font-size: 23px;
    font-weight: 600;
    font-family: inherit;
}

h2 {
    font-size: 29px;
    font-weight: 400;
    font-family: inherit;
}

h3 {
    font-size: 16px;
    font-weight: 600;
    font-family: inherit;
}

p {
    font-size: 17px;
    font-weight: 400;
    line-height: 24px;
    font-family: inherit;
}

h1, h2, h3, h4, h5, h6, a, button, p, span, div {
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

hr {
    background: $border-color;
    border: medium none;
    display: block;
    float: left;
    height: 1px;
    margin: 0;
    padding: 0;
    width: 100%;
}

.paddingL {
    padding-left: 0px;
}

.paddingR {
    padding-right: 0px;
}

.no-Padd {
    padding: 0 !important;
}

.marginL {
    margin-left: 0px;
}

.marginR {
    margin-right: 0px;
}

.no-Marg {
    margin: 0 !important;
}

.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn.focus:active,
.btn:active:focus,
.btn:focus, button:focus, button:active {
    @include box-shadow(none);
    outline: 0px;
    outline-offset: -2px;
}

input:focus,
input:active {
    outline: 0px;
}

img {
    max-width: 100%;
}
.modal {
    padding-right: 0 !important;
    .close {
        float: right;
        font-size: 45px;
        font-weight: 300;
        line-height: 1;
        color: #fff;
        text-shadow: none;
        opacity: 0.8;        
        margin-right: 10px;
        @include breakpoint(xlarge) {
            margin-top: 6px;
        }
        &:hover, &:focus, &:active {
            opacity: 1;
        }
    }
    .modal-dialog {
        position: absolute;
        top: 50%;
        left: 50%;
        @include transform(translate(-50%, -50%));
        margin: 0px auto;
        @include breakpoint(small) {
            width: 100%;
            position: relative;
            transform: none !important;
            margin: 30px auto;
            left: auto;
            top: auto;
            display: inline-block;
            padding: 0px 30px;
        }
        &.forgot_modal {
            width: 500px;
            @include breakpoint(small) {
                width: 100%;
                position: relative;
                transform: none !important;
                margin: 30px auto;
                left: auto;
                top: auto;
                display: inline-block;
                padding: 0px 30px;
            }
        }
        .modal-content {
            float: left;
            width: 100%;
            .modal-body {
                float: left;
                width: 100%;
                @include breakpoint(small) {
                    padding:30px 20px; 
                }
            }
        }
    }
}
.modal-open {
	overflow: hidden;
	padding-right: 0px !important;
}
.modal-backdrop {
    background-color: rgba(0, 0, 0, 1);
    &.in {
        opacity: 0.70;
    }
}

.table-div {
  clear: both;
  display: table;
  float: left;
  position: relative;
  width: 100%;
  & > .tbl-cell {
    display: table-cell;
    float: none;
    vertical-align: middle;
  }
}

.selectCheck {
    display: inline-block;
    vertical-align: top;
    margin-top: 7px;
    margin-left: 12px;
    position: relative;
    .mycheck {
        display: inline-block;
        margin-top: 0px;
        vertical-align: top;
        position: relative;
        .checkbox {
            input[type="checkbox"] {
                height: 100%;
                left: 0;
                margin: 0;
                opacity: 0;
                position: absolute;
                top: 0;
                width: 100%;
                z-index: 10;
            }
        }
        label {
            margin-top: 2px;
            position: relative;
            padding-left: 15px;
            &:before {
                border: 1px solid #7b7b7b;
                background: #232323;
                content: "";
                display: block;
                height: 17px;
                width: 17px;
                left: -11px;
                position: absolute;
                top: 5px;
                z-index: 1;
                opacity: 1;
            }
            &:after {
                border-bottom: 1px solid white;
                border-right: 1px solid white;
                content: "";
                display: block;
                height: 10px;
                left: -5px;
                opacity: 0;
                position: absolute;
                top: 7px;
                transform: rotate(45deg);
                width: 6px;
                z-index: 1;
            }
        }
        input[type="checkbox"]:checked+label {
            &:after {
                border-color: #fff;
                opacity: 1;
            }
        }
    }
    label.selectA {
        font-size: 15px;
        color: $colorG;
        margin: 2px 4px;
        font-weight: 400;
    }
    label.selectmain {
        font-size: 17px;
        color: $colorG;
        margin: 2px 4px;
        font-weight: 400;
        position: relative;
        top: -4px;
    }
}

.selectCheckgray {
    display: inline-block;
    vertical-align: top;
    margin-top: 7px;
    margin-left: 12px;
    position: relative;
    .mycheck {
        display: inline-block;
        margin-top: 0px;
        vertical-align: top;
        position: relative;
        .checkBox {
            input[type="checkbox"] {
                height: 100%;
                left: 0;
                margin: 0;
                opacity: 0;
                position: absolute;
                top: 0;
                width: 100%;
                z-index: 10;
            }
        }
        label {
            background-color: #fff;
            border: 1px solid #fff;
            box-shadow: 0 0 0px 1px #c7c7c7;
            width: 22px;
            height: 20px;
            margin-top: 2px;
            &:after {
                border-bottom: 1px solid rgb(255, 255, 255);
                border-right: 1px solid rgb(255, 255, 255);
                content: "";
                display: block;
                height: 10px;
                left: 8px;
                position: absolute;
                top: 6px;
                transform: rotate(45deg);
                width: 6px;
                z-index: 1;
                opacity: 0;
            }
        }
        input[type="checkbox"]:checked+label {
            background: #6699ff;
            &:after {
                border-color: #fff;
                opacity: 1;
            }
        }
    }
    &.checked {
        label.selectmain {
            color: $colorG !important;
        }
    }
    label.selectA {
        font-size: 15px;
        color: $colorG;
        margin: 2px 4px;
        font-weight: 400;
    }
    label.selectmain {
        font-size: 17px;
        color: $colorG;
        margin: 2px 4px;
        font-weight: 400;
        position: relative;
        top: -4px;
    }
}

.radioCheck {
    display: inline-block;
    vertical-align: top;
    margin-left: 12px;
    position: relative;
    max-width: 700px;
    .radioCheckin {
        float: left;
        padding-right: 10px;
        min-width: 214px;
        .mycheck {
            display: inline-block;
            margin-top: 0px;
            vertical-align: top;
            position: relative;
            .radioBox {
                input[type="radio"] {
                    height: 100%;
                    left: 0;
                    margin: 0;
                    opacity: 0;
                    position: absolute;
                    top: 0;
                    width: 100%;
                    z-index: 10;
                }
            }
            label {
                background-color: #fff;
                border: 1px solid #cbcbcb;
                box-shadow: inset 0 0 5px 1px #cbcbcb;
                width: 25px;
                height: 25px;
                margin-top: 2px !important;
                @include border-radius(13px);
                &:after {
                    content: "";
                    display: block;
                    height: 10px;
                    left: 8px;
                    position: absolute;
                    top: 5px;
                    transform: rotate(45deg);
                    width: 6px;
                    z-index: 1;
                    opacity: 0;
                }
            }
            input[type="radio"]:checked+label {
                background: #6699ff;
                box-shadow: inset 0 0 0px 2px #fff;
                &:after {
                    border-color: #fff;
                    opacity: 1;
                }
            }
        }
        &.checked {
            label.selectA {
                color: $colorG !important;
            }
        }
        &.checked {
            label.selectnew {
                color: $colorG !important;
            }
        }
    }
    label.selectA {
        font-size: 15px;
        margin: 2px 4px;
        font-weight: 400;
        position: relative;
        top: 1px;
    }
    label.selectnew {
        font-size: 15px;
        margin: 2px 4px;
        font-weight: 400;
        position: relative;
        top: 3px;
    }
    @include breakpoint(medium) {
        margin-left: 0px !important;
    }
}

.radioCheckinsmall {
    min-width: 161px !important;
}

.is-hidden {
    display: none !important;
}

.is-view {
    display: block !important;
}

.is-inline {
    display: inline-block !important;
}

.is-nobg {
    background: transparent !important;
}

.blockU {
    position: relative;
    &:before {
        position: absolute;
        content: '';
        width: 100%;
        height: 2px;
        left: 0px;
        bottom: -2px;
        background: $eleBorderColor;
        transform-origin: 0 100%;
        transform: scaleX(0);
        -webkit-transform: scaleX(0);
        @include transition(all .25s);
    }
    &:hover,
    &.is-active {
        color: $colorG;
        &:before {
            transform: scaleX(1);
            -webkit-transform: scaleX(1);
        }
    }
}

.scrollbox {
    float: left;
    overflow: auto;
    width: 100% !important;
    height: 460px;
    padding: 0 5px;
    border: 1px solid #b7b7b7;
}

/* color text */
.red_txt {
    color: #d53030;
}